GNU bug report logs - #42621
26.3; Scheme mode: Wrong indentation (no indentation) when pressing tab

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: k.s.matheussen@HIDDEN; merged with #42622; dated Thu, 30 Jul 2020 15:37:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 42621 <at> debbugs.gnu.org:


Received: (at 42621) by debbugs.gnu.org; 6 Aug 2020 13:48:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 06 09:48:30 2020
Received: from localhost ([127.0.0.1]:53477 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3gFx-0007H9-VR
	for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 09:48:30 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44244)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1k3gFw-0007Gn-11
 for 42621 <at> debbugs.gnu.org; Thu, 06 Aug 2020 09:48:28 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51147)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1k3gFo-0004A7-8D; Thu, 06 Aug 2020 09:48:20 -0400
Received: from [176.228.60.248] (port=2466 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1k3gFn-000684-J3; Thu, 06 Aug 2020 09:48:20 -0400
Date: Thu, 06 Aug 2020 16:48:13 +0300
Message-Id: <83imdv997m.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: k.s.matheussen@HIDDEN
In-Reply-To: <CAC6niE+1t39h_rguPTVMfQQ-2LWOT3dJhX_wJZEu+rmVASDRYQ@HIDDEN>
 (message from Kjetil Matheussen on Thu, 6 Aug 2020 10:32:30 +0200)
Subject: Re: bug#42621: 26.3;
 Scheme mode: Wrong indentation (no indentation) when pressing tab
References: <CAC6niEJ4bemwZjhzT1q_y4CDkwY6t7VmhvKce+fBTAePnNMT-w@HIDDEN>
 <5f2af527.1c69fb81.78a82.8d1fSMTPIN_ADDED_BROKEN@HIDDEN>
 <CAC6niE+WiUjxaZNWP3_=4+=sw7Ud__nARP35nCdCzhwFFne2xg@HIDDEN>
 <CAC6niELBHDYBjbCUzxDYBNxcL4sGPHpjaO=Bojo9VfvYZt7Tvw@HIDDEN>
 <CAC6niE+1t39h_rguPTVMfQQ-2LWOT3dJhX_wJZEu+rmVASDRYQ@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42621
Cc: simenheg@HIDDEN, 42621 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Kjetil Matheussen <k.s.matheussen@HIDDEN>
> Date: Thu, 6 Aug 2020 10:32:30 +0200
> Cc: 42621 <at> debbugs.gnu.org, Kjetil Matheussen <k.s.matheussen@HIDDEN>
> 
> 1. wget http://users.notam02.no/~kjetism/emacsindentationbug.scm
> 2. emacs -Q emacsindentationbug.scm
> 3. maximize emacs window
> 4. Press Ctrl + S, search for "define column-widths"
> 5. The cursor should now be placed at line 2790
> 6. Press down-arrow so that that cursor is placed at line 2791
> 7. Press up -arrow so that the cursor is placed at line 2790 again.
> 8. Press TAB.
> 9. The line is wrongly indented (no indentation).

FWIW, I cannot reproduce even with this recipe: in my case the
indentation stays at its original form, i.e. 2 columns.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42621; Package emacs. Full text available.

Message received at 42621 <at> debbugs.gnu.org:


Received: (at 42621) by debbugs.gnu.org; 6 Aug 2020 08:32:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 06 04:32:49 2020
Received: from localhost ([127.0.0.1]:53108 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3bKT-000134-Ng
	for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 04:32:49 -0400
Received: from mail-qk1-f176.google.com ([209.85.222.176]:42038)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <k.s.matheussen@HIDDEN>) id 1k3bKR-00012r-Ez
 for 42621 <at> debbugs.gnu.org; Thu, 06 Aug 2020 04:32:48 -0400
Received: by mail-qk1-f176.google.com with SMTP id b79so44160542qkg.9
 for <42621 <at> debbugs.gnu.org>; Thu, 06 Aug 2020 01:32:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:reply-to:from:date:message-id
 :subject:to:cc:content-transfer-encoding;
 bh=l5oulPuDW80okql7dsZRYXeX6HJVpuqOjRqYUAfjnf0=;
 b=rhLxpNue57dx02BNr8cB7x9vCA3zIMzK2LZcgpLxQCCt0oS9f6i+1PHxVvPIFHue7l
 flX2DPzlXOZT55jiu2Ygxmkp0IgefOaeV6EeryFb9kBgIUTFip7a+7NuunXhpLf8iSLk
 H2RA8diBYEvNlZjV5Pqr7T/+saat+E/e8fd4ZKOdf1WNOvxeaGAES0xQ2PQkc1/psEdM
 vqz4CoR52CNhbYIJijwUYT8xgpp79/JXoVI/+uYfMYKpxxCyZAlIVp7Cmn9SfF9UGiIJ
 tl1NtFSz2F+ZREq7hw5On3NKcbRtPmQvnp8Oy4FtOhz1NYG3MJg27WRHHffAh8iHcWZj
 npkg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:reply-to
 :from:date:message-id:subject:to:cc:content-transfer-encoding;
 bh=l5oulPuDW80okql7dsZRYXeX6HJVpuqOjRqYUAfjnf0=;
 b=cR1A6zrHJEXBrP866iThwpKzR0dnirUivH9jPv32smnkqff+XtJwsWl7JWwh5Icwyz
 qHWnai7GkElQYv6RGvTx98Khd0ajdfzZrbgrCNa+BrOXBQyaTQRYM9WlKg5NVwOcEo1Q
 t+8vcMXJ8mcr6KWSVk7Gy6x58iFBn5g+bwF8YcnqpneMjhmmUdL5oIEIyi6QQZIBZcyR
 g1PurI+BwzuNzfITQStYgl4UNTr11lLeC+JnvtcN01gP8deO1B6x32TgRNFgwuWx0A67
 uf4ya6rIp5GXsCx1klddm6C0mn8+rhFz/WK+9m5BC+4KoVwGrGrbTRHbq/0jVYNGw8AI
 K+Vw==
X-Gm-Message-State: AOAM531JQ2Y09aLHnvIJ5l0RlLmGUOY6dgdO5Oyr6b0S4z2LoM6Lieb7
 Z1/vITpYpKY9s76JJK8TfUaBYh2Wy1kzLBWiC1Zc4gcf
X-Google-Smtp-Source: ABdhPJyPuXa3UYteHr0/jiYLGeMgRFaR3PT1XAZRjGmEvpLwVOVkZ1WFsrONSPrtPt4AJpXuPMvcQ8e++LwB09u2PnA=
X-Received: by 2002:a37:ac18:: with SMTP id e24mr7121356qkm.488.1596702761689; 
 Thu, 06 Aug 2020 01:32:41 -0700 (PDT)
MIME-Version: 1.0
References: <CAC6niEJ4bemwZjhzT1q_y4CDkwY6t7VmhvKce+fBTAePnNMT-w@HIDDEN>
 <5f2af527.1c69fb81.78a82.8d1fSMTPIN_ADDED_BROKEN@HIDDEN>
 <CAC6niE+WiUjxaZNWP3_=4+=sw7Ud__nARP35nCdCzhwFFne2xg@HIDDEN>
 <CAC6niELBHDYBjbCUzxDYBNxcL4sGPHpjaO=Bojo9VfvYZt7Tvw@HIDDEN>
In-Reply-To: <CAC6niELBHDYBjbCUzxDYBNxcL4sGPHpjaO=Bojo9VfvYZt7Tvw@HIDDEN>
From: Kjetil Matheussen <k.s.matheussen@HIDDEN>
Date: Thu, 6 Aug 2020 10:32:30 +0200
Message-ID: <CAC6niE+1t39h_rguPTVMfQQ-2LWOT3dJhX_wJZEu+rmVASDRYQ@HIDDEN>
Subject: Re: bug#42621: 26.3; Scheme mode: Wrong indentation (no indentation)
 when pressing tab
To: =?UTF-8?Q?Simen_Heggest=C3=B8yl?= <simenheg@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42621
Cc: 42621 <at> debbugs.gnu.org, Kjetil Matheussen <k.s.matheussen@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: k.s.matheussen@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, Aug 5, 2020 at 8:33 PM Kjetil Matheussen
<k.s.matheussen@HIDDEN> wrote:
>
> On Wed, Aug 5, 2020 at 8:30 PM Kjetil Matheussen
> <k.s.matheussen@HIDDEN> wrote:
> >
> > On Wed, Aug 5, 2020 at 8:06 PM Simen Heggest=C3=B8yl <simenheg@HIDDEN=
om> wrote:
> > >
> > > I can't reproduce the bug in Emacs 26.3 (nor in the Emacs 27.1 RC) by
> > > following the recipe from 'emacs -Q'.
> > >
> > > Kjetil Matheussen <k.s.matheussen@HIDDEN> writes:
> > >
> > > > 8. The line is wrongly indented (no indentation).
> > >
> > > Assuming you mean you expect it to keep its indentation at column 2, =
but
> > > instead see it deindented to column 0 (which is wrong)?
> > >
> >
> > Yes, it's deindented to column 0.
> >
> > I couldn't reproduce it with "emacs -Q" either, but I minimized my
> > .emacs file down to the lines below to reproduce it. Can you reproduce
> > it now?
> >
>
> Actually, it's enough just to maximize the window:
>
> 1. emacs -Q
> 2. maximize emacs window
> 3.(same procedure)

Hmm, might have to load the file before maximizing the window. Full recipe:

1. wget http://users.notam02.no/~kjetism/emacsindentationbug.scm
2. emacs -Q emacsindentationbug.scm
3. maximize emacs window
4. Press Ctrl + S, search for "define column-widths"
5. The cursor should now be placed at line 2790
6. Press down-arrow so that that cursor is placed at line 2791
7. Press up -arrow so that the cursor is placed at line 2790 again.
8. Press TAB.
9. The line is wrongly indented (no indentation).

(again, it's important that the recipe is followed exactly, the bug
happens very often, but it was hard to find a way to reproduce it)

Regarding emacs versions, the same bug is present in 26.2 as well, but
the above recipe didn't work to reproduce it. I've been using emacs 25
for a few days now, and the bug seems to be gone in that version.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42621; Package emacs. Full text available.

Message received at 42621 <at> debbugs.gnu.org:


Received: (at 42621) by debbugs.gnu.org; 6 Aug 2020 06:31:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 06 02:31:24 2020
Received: from localhost ([127.0.0.1]:52854 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3ZQx-00088T-NX
	for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 02:31:24 -0400
Received: from mail-qv1-f44.google.com ([209.85.219.44]:43042)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <k.s.matheussen@HIDDEN>) id 1k3OEt-0005vs-38
 for 42621 <at> debbugs.gnu.org; Wed, 05 Aug 2020 14:34:12 -0400
Received: by mail-qv1-f44.google.com with SMTP id l13so14843474qvt.10
 for <42621 <at> debbugs.gnu.org>; Wed, 05 Aug 2020 11:34:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:reply-to:from:date:message-id
 :subject:to:cc:content-transfer-encoding;
 bh=xtDCbgPbI1NfV/gZMMonpCVPtqf301BkEYcGgm8gYaA=;
 b=Vrinuu3D5Op96oqHFXWmJIo55OMpVuyacKnb2CXQldndEJdjx3F9RoHn/Ox2vFlO55
 19kWY8z8/ZrsutHL+h6trqncH3PwGH3a68pF7mZiOiwfGE1KQldbRJztu1dtyQ3SwhFa
 rwttZweStorWGPjfFitMUOEJ0R3nSjvunazgI/+z9UvQivPuc4mPUGK3gx/8uRaH6ey6
 yumQ3c2il79N/soEpomKFKXQiMtpHh3xWbhPFZ90l7BcGgg2B9VCGbdyvl22CiXijc4g
 2sgpCqacwD/0WMd1kQFXSlF7cYb86Sps/237uuvl3gUhEMpYHZyxqj6rTa9VolCGxAEB
 J62Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:reply-to
 :from:date:message-id:subject:to:cc:content-transfer-encoding;
 bh=xtDCbgPbI1NfV/gZMMonpCVPtqf301BkEYcGgm8gYaA=;
 b=TIFMvPpvhA6SOxCpX9ekPO/kpuwoT0HoMZ+91Vuu3/nar3l/qp8KmgxZfGXLod1OCZ
 sF3JLKBAkmupa7bhW7Ly9HPinBrtpwo9Woj11GKP108KN9ocwST3RuRFttUbssAp/BHn
 iceoFwGS23+r+1cm0ZR27gqcKG20QNFZDqhSeR6PIX3CWJxogfkB6rrubIPUOwhI4zsm
 ONrBOfMHwxdkP8KmSETuB+RLKKQO+HK7/zwUmTWHlxFqPf0uO1A22kG6Qiw/zQwRA0s0
 4ltdRP2LtzXPYait4X07o26onl4uBwvQJqhmIgK6dKTg+KKTnVgKLMqn51YSSZu95kfa
 cKPQ==
X-Gm-Message-State: AOAM530zkxrX+D1Q8uNCRX0PlbsAnFjEuP/9giMICF6pPbz32qPeOglw
 Wc+AomAIma0ZJ4rwLst4Os8O+8vvwcRPM59Faw+Z5A==
X-Google-Smtp-Source: ABdhPJxxHQEXvtzwi7TNpc5SZ49++uorq0Y1UNOCTe3qSdq2F/0OQpvail+QP8Nf99ZWhxviz4S8WwukthxPovXmyjA=
X-Received: by 2002:a0c:9b89:: with SMTP id o9mr4903697qve.77.1596652445551;
 Wed, 05 Aug 2020 11:34:05 -0700 (PDT)
MIME-Version: 1.0
References: <CAC6niEJ4bemwZjhzT1q_y4CDkwY6t7VmhvKce+fBTAePnNMT-w@HIDDEN>
 <5f2af527.1c69fb81.78a82.8d1fSMTPIN_ADDED_BROKEN@HIDDEN>
 <CAC6niE+WiUjxaZNWP3_=4+=sw7Ud__nARP35nCdCzhwFFne2xg@HIDDEN>
In-Reply-To: <CAC6niE+WiUjxaZNWP3_=4+=sw7Ud__nARP35nCdCzhwFFne2xg@HIDDEN>
From: Kjetil Matheussen <k.s.matheussen@HIDDEN>
Date: Wed, 5 Aug 2020 20:33:54 +0200
Message-ID: <CAC6niELBHDYBjbCUzxDYBNxcL4sGPHpjaO=Bojo9VfvYZt7Tvw@HIDDEN>
Subject: Re: bug#42621: 26.3; Scheme mode: Wrong indentation (no indentation)
 when pressing tab
To: =?UTF-8?Q?Simen_Heggest=C3=B8yl?= <simenheg@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42621
X-Mailman-Approved-At: Thu, 06 Aug 2020 02:31:21 -0400
Cc: 42621 <at> debbugs.gnu.org, Kjetil Matheussen <k.s.matheussen@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: k.s.matheussen@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, Aug 5, 2020 at 8:30 PM Kjetil Matheussen
<k.s.matheussen@HIDDEN> wrote:
>
> On Wed, Aug 5, 2020 at 8:06 PM Simen Heggest=C3=B8yl <simenheg@HIDDEN=
> wrote:
> >
> > I can't reproduce the bug in Emacs 26.3 (nor in the Emacs 27.1 RC) by
> > following the recipe from 'emacs -Q'.
> >
> > Kjetil Matheussen <k.s.matheussen@HIDDEN> writes:
> >
> > > 8. The line is wrongly indented (no indentation).
> >
> > Assuming you mean you expect it to keep its indentation at column 2, bu=
t
> > instead see it deindented to column 0 (which is wrong)?
> >
>
> Yes, it's deindented to column 0.
>
> I couldn't reproduce it with "emacs -Q" either, but I minimized my
> .emacs file down to the lines below to reproduce it. Can you reproduce
> it now?
>

Actually, it's enough just to maximize the window:

1. emacs -Q
2. maximize emacs window
3.(same procedure)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42621; Package emacs. Full text available.

Message received at 42621 <at> debbugs.gnu.org:


Received: (at 42621) by debbugs.gnu.org; 6 Aug 2020 06:31:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 06 02:31:23 2020
Received: from localhost ([127.0.0.1]:52852 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3ZQw-00088Q-9R
	for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 02:31:23 -0400
Received: from mail-qk1-f169.google.com ([209.85.222.169]:44037)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <k.s.matheussen@HIDDEN>) id 1k3OBc-0005pg-A2
 for 42621 <at> debbugs.gnu.org; Wed, 05 Aug 2020 14:30:49 -0400
Received: by mail-qk1-f169.google.com with SMTP id j187so42557481qke.11
 for <42621 <at> debbugs.gnu.org>; Wed, 05 Aug 2020 11:30:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:reply-to:from:date:message-id
 :subject:to:cc:content-transfer-encoding;
 bh=t/PASe3mFDVr1msFcurvz9gMwvmYtzwTB83806ctUUs=;
 b=A4yDu+Ux9Op4xNaDFgU9AaEyFp5sKmf6ZayhCy6q445WcZEtYPa5/VeUIJfKC0Vpnd
 iadxxTK6J3RkF63AMy0nj9SCgHd2ZsE50sQVKcyyvWgi6TCjhDYEHTaf37ctZmajQAG/
 UAGZX7y4GJV9gB0nLSOnkPNXANZM9EKpKmZkmcdcu/hSFt8PMBpQvfwpVf9ncPrBq+V3
 euus0kh15ULxngDgsAmf0zIn3ULXzq6TeC0ArVH+xN6+Cnr8Rp/8s5pU4L2oTjIMQITz
 0HH+R0bQFRs0YMvOiN/Yuwkvd0t97rkyaY1dhlkKzEfypkMdq/xcU8xqa10quRKyoDvt
 y3MA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:reply-to
 :from:date:message-id:subject:to:cc:content-transfer-encoding;
 bh=t/PASe3mFDVr1msFcurvz9gMwvmYtzwTB83806ctUUs=;
 b=lxk30Jderm0vTgJBsh3v9K7JRrUJOSCCujUHTBXKY25+F+8dQ+rGIoDgcDOA2BTmbU
 3salYHnnXBxTECov/UAwmX4to8F3UnYn/TZhkknepIpzsZl4jYe8B7Q6WCMVRL7R2ZFl
 pNQ3VU6y7ywFT9XlPBj/a9ou0T1yLuXGLbguATo4CC7cO7+KlzSzTMS9CQLh1Nq4kCfK
 3b4nBkIfa64vkHVQg2qNQuCRLQKMriD2iUfsb6PAV/t7Bql0etVOxb2QmN1RghD4jkyf
 zKecNZ77Z83npmNAKGtG0dsdW9855T9WIeAFuhrbaAPsMeYB+tSK5XSIDRx4m6WLYb8u
 193Q==
X-Gm-Message-State: AOAM532MgK4GP00i/NIAf5yILZxZ8CsTj7tlqDzEy8MmsRE1GgXkZsAx
 VFH1FA9jamNrONxZ8n+Amg1tqUP6AQx3L5aMPO8=
X-Google-Smtp-Source: ABdhPJx5mMH1D1+oC1rwMPHHNoDRLVTMOb71E+ycPD0EJZrZ/2tVaORRJhDtvWbNRIbN65OCEfaJpESRq7Zsb44xVHo=
X-Received: by 2002:a37:ac18:: with SMTP id e24mr4572510qkm.488.1596652242453; 
 Wed, 05 Aug 2020 11:30:42 -0700 (PDT)
MIME-Version: 1.0
References: <CAC6niEJ4bemwZjhzT1q_y4CDkwY6t7VmhvKce+fBTAePnNMT-w@HIDDEN>
 <5f2af527.1c69fb81.78a82.8d1fSMTPIN_ADDED_BROKEN@HIDDEN>
In-Reply-To: <5f2af527.1c69fb81.78a82.8d1fSMTPIN_ADDED_BROKEN@HIDDEN>
From: Kjetil Matheussen <k.s.matheussen@HIDDEN>
Date: Wed, 5 Aug 2020 20:30:31 +0200
Message-ID: <CAC6niE+WiUjxaZNWP3_=4+=sw7Ud__nARP35nCdCzhwFFne2xg@HIDDEN>
Subject: Re: bug#42621: 26.3; Scheme mode: Wrong indentation (no indentation)
 when pressing tab
To: =?UTF-8?Q?Simen_Heggest=C3=B8yl?= <simenheg@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42621
X-Mailman-Approved-At: Thu, 06 Aug 2020 02:31:21 -0400
Cc: 42621 <at> debbugs.gnu.org, Kjetil Matheussen <k.s.matheussen@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: k.s.matheussen@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, Aug 5, 2020 at 8:06 PM Simen Heggest=C3=B8yl <simenheg@HIDDEN> =
wrote:
>
> I can't reproduce the bug in Emacs 26.3 (nor in the Emacs 27.1 RC) by
> following the recipe from 'emacs -Q'.
>
> Kjetil Matheussen <k.s.matheussen@HIDDEN> writes:
>
> > 8. The line is wrongly indented (no indentation).
>
> Assuming you mean you expect it to keep its indentation at column 2, but
> instead see it deindented to column 0 (which is wrong)?
>

Yes, it's deindented to column 0.

I couldn't reproduce it with "emacs -Q" either, but I minimized my
.emacs file down to the lines below to reproduce it. Can you reproduce
it now?

(defun toggle-fullscreen (&optional f)
      (interactive)
      (let ((current-value (frame-parameter nil 'fullscreen)))
           (set-frame-parameter nil 'fullscreen
                                (if (equal 'fullboth current-value)
                                    (if (boundp 'old-fullscreen)
old-fullscreen nil)
                                    (progn (setq old-fullscreen current-val=
ue)
                                           'fullboth)))))

(toggle-fullscreen)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42621; Package emacs. Full text available.

Message received at 42621 <at> debbugs.gnu.org:


Received: (at 42621) by debbugs.gnu.org; 5 Aug 2020 18:06:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 14:06:35 2020
Received: from localhost ([127.0.0.1]:52212 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3NoB-00059P-QQ
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 14:06:35 -0400
Received: from aibo.runbox.com ([91.220.196.211]:33890)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simenheg@HIDDEN>) id 1k3No8-00059D-TG
 for 42621 <at> debbugs.gnu.org; Wed, 05 Aug 2020 14:06:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=selector2;
 h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From;
 bh=oIjmsX4kwCSl4Zq9ys6sH/MVaMTHmkExLvZQLYBTLQY=; b=hyRvJoF7LesbAKzW1bTRFIN+nl
 QMKOAv8kDwvsyuFj1P/tREYU6YS/3CBDVpgeHlHR1KJNltvNDZ8qEvw2EfFJkXFgFI91qd6YLgatX
 wAH4U1dDJOd15moMrZnqL6x5evxNup4RQLVf5kk6Tsg0i+r6Vfgaso1qYWVHd9yYDZevUVCjr2BSP
 LQG73rNaLoFOHzhjmVKMu6U/91Hsc4sBPQhxVcC6pBV/yo48w9KY90IOaee8tzeJyNPhvg0Ik0ckw
 shoUXCve2GHMd6vHcm+q1ydzEJwyRGvxd469aiNwxV3wCzVFEJqdq9+LkFSZO1CiZZKjc+iG7yqzi
 unN9MUYg==;
Received: from [10.9.9.72] (helo=submission01.runbox)
 by mailtransmit03.runbox with esmtp (Exim 4.86_2)
 (envelope-from <simenheg@HIDDEN>)
 id 1k3No6-0006N3-F2; Wed, 05 Aug 2020 20:06:30 +0200
Received: by submission01.runbox with esmtpsa [Authenticated alias (963757)]
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 id 1k3Nnv-0000Li-Mo; Wed, 05 Aug 2020 20:06:19 +0200
From: =?utf-8?Q?Simen_Heggest=C3=B8yl?= <simenheg@HIDDEN>
To: Kjetil Matheussen <k.s.matheussen@HIDDEN>
Subject: Re: bug#42621: 26.3; Scheme mode: Wrong indentation (no
 indentation) when pressing tab
References: <CAC6niEJ4bemwZjhzT1q_y4CDkwY6t7VmhvKce+fBTAePnNMT-w@HIDDEN>
Date: Wed, 05 Aug 2020 20:06:19 +0200
In-Reply-To: <CAC6niEJ4bemwZjhzT1q_y4CDkwY6t7VmhvKce+fBTAePnNMT-w@HIDDEN>
 (Kjetil Matheussen's message of "Thu, 30 Jul 2020 11:08:42 +0200")
Message-ID: <87lfitq86c.fsf@simenheg@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 42621
Cc: 42621 <at> debbugs.gnu.org, k.s.matheussen@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

I can't reproduce the bug in Emacs 26.3 (nor in the Emacs 27.1 RC) by
following the recipe from 'emacs -Q'.

Kjetil Matheussen <k.s.matheussen@HIDDEN> writes:

> 8. The line is wrongly indented (no indentation).

Assuming you mean you expect it to keep its indentation at column 2, but
instead see it deindented to column 0 (which is wrong)?

-- Simen




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42621; Package emacs. Full text available.
Merged 42621 42622. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Jul 2020 15:36:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 30 11:36:39 2020
Received: from localhost ([127.0.0.1]:36585 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k1Abm-0008Tf-0W
	for submit <at> debbugs.gnu.org; Thu, 30 Jul 2020 11:36:39 -0400
Received: from lists.gnu.org ([209.51.188.17]:60526)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <k.s.matheussen@HIDDEN>) id 1k14Ye-0002hq-Io
 for submit <at> debbugs.gnu.org; Thu, 30 Jul 2020 05:09:01 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33308)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <k.s.matheussen@HIDDEN>)
 id 1k14Yc-00070N-R1
 for bug-gnu-emacs@HIDDEN; Thu, 30 Jul 2020 05:09:00 -0400
Received: from mail-qk1-x733.google.com ([2607:f8b0:4864:20::733]:35101)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <k.s.matheussen@HIDDEN>)
 id 1k14Ya-0003LR-HL
 for bug-gnu-emacs@HIDDEN; Thu, 30 Jul 2020 05:08:58 -0400
Received: by mail-qk1-x733.google.com with SMTP id 11so24975856qkn.2
 for <bug-gnu-emacs@HIDDEN>; Thu, 30 Jul 2020 02:08:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:reply-to:from:date:message-id:subject:to;
 bh=rIyIvHwUH6thBYFPUbbaVzBO7SKLBuJNiLzj9eV95dM=;
 b=T55k0YxwbG0QUZN5uPACP7brUyhl2nikVL7oF1RMko8JUox7PtKlqhzIGmfqgIv2AC
 Dro0No1LxLzl/4RqSmStAcirpNrCNYKHgMGHnagyjslTRu8WABhC98THOaVvlGnVlIpL
 jj3CmafPZi5BJbP1647+aI0koB9wxq5Ii7W1TdXKq98YKumpTx0sGdQZcCb9IA9RInyj
 HWSqoztKKQSPnzvBeczZJCRagq/M6RJEWy1XTz8JX5tCfpXnayVwQdu2RUJg5+79GpHT
 cwpnBB0ostlMVPkMC63Z/BJsv4qlwLm/tky1dOiinIek8qLbwkiiMwi6UOaKuB9pBZUq
 R9kA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:reply-to:from:date:message-id
 :subject:to;
 bh=rIyIvHwUH6thBYFPUbbaVzBO7SKLBuJNiLzj9eV95dM=;
 b=J9U8cEr4omjiAZGqiQFQM+aSSoUJBklGgjXiVuOFp8knN3vVjxpPgmIAb/d1DyzUwV
 WdQzI/dofauobM5+4m64d2yH2jT/3gUWqlEtnbloYR/cgq2B1LUiih3sNG2krvZ/Gxs7
 KjnLixCpQSoDoLlbhcrT8RRB5aISGlcnjMA/GOKK2PRn21Gzx3tkgYD3lvnJvDwyBC/h
 yo3tUCMEYwCgmXQaxevaUw8ME7jEYxVV5wKvYIBfyAo417G3qPk8Fy0DNVLRDH1oe1xI
 TaiztgzlIawb7qHBsqCTsj4/lW/S2b+wchpey1FEm54H1eKa3CXrueyzWRJwfkqvndGD
 M5Qw==
X-Gm-Message-State: AOAM531q+qVDApVS3Db3U32EUFpADK7o5WULZBhUXsjvE3TjvsfVT61/
 7UCNmaXZzmf8aNgxWasofvB4HbdJB6DXmaICdDgky6lA
X-Google-Smtp-Source: ABdhPJwzwjaI8klcb/zMq3y0elHrtzRrQYffrnBaYeonEU3VmmQJ66bnu304T10NwyT+fAJLrsT/ubEbjh0R1ahh/nM=
X-Received: by 2002:a05:620a:c88:: with SMTP id
 q8mr8658783qki.49.1596100134249; 
 Thu, 30 Jul 2020 02:08:54 -0700 (PDT)
MIME-Version: 1.0
From: Kjetil Matheussen <k.s.matheussen@HIDDEN>
Date: Thu, 30 Jul 2020 11:08:42 +0200
Message-ID: <CAC6niEJ4bemwZjhzT1q_y4CDkwY6t7VmhvKce+fBTAePnNMT-w@HIDDEN>
Subject: 26.3;
 Scheme mode: Wrong indentation (no indentation) when pressing tab
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=2607:f8b0:4864:20::733;
 envelope-from=k.s.matheussen@HIDDEN; helo=mail-qk1-x733.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 30 Jul 2020 11:36:36 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: k.s.matheussen@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Recipe to reproduce:
(note that it's important that you do _exactly_ as described. The bug
happens very often (and is extremely annoying), but it's very unclear
what triggers it.)

1. wget http://users.notam02.no/~kjetism/emacsindentationbug.scm
2. emacs emacsindentationbug.scm
3. Press Ctrl + S, search for "define column-widths"
4. The cursor should now be placed at line 2790
5. Press down-arrow so that that cursor is placed at line 2791
6. Press up -arrow so that the cursor is placed at line 2790 again.
7. Press TAB.
8. The line is wrongly indented (no indentation).


In GNU Emacs 26.3 (build 1, x86_64-pc-linux-gnu, X toolkit, Xaw scroll bars)
 of 2020-07-18 built on localhost.localdomain
Windowing system distributor 'Fedora Project', version 11.0.11405000
System Description: Fedora release 20 (Heisenbug)

Recent messages:
Checking 24 files in /home/kjetil/site/share/emacs/26.3/lisp/cedet...
Checking 57 files in /home/kjetil/site/share/emacs/26.3/lisp/calendar...
Checking 87 files in /home/kjetil/site/share/emacs/26.3/lisp/calc...
Checking 105 files in /home/kjetil/site/share/emacs/26.3/lisp/obsolete...
Checking for load-path shadows...done
previous-line: Beginning of buffer [3 times]
Auto-saving...done
previous-line: Beginning of buffer [5 times]
Buffer *unsent mail to bug-gnu-emacs@HIDDEN* modified; kill anyway? (y or n) y
Mark saved where search started [2 times]

Configured using:
 'configure --prefix=/home/kjetil/site --with-x-toolkit=lucid'

Configured features:
XPM JPEG TIFF GIF PNG SOUND DBUS GSETTINGS GLIB NOTIFY LIBSELINUX GNUTLS
LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM THREADS

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Scheme

Minor modes in effect:
  diff-auto-refine-mode: t
  iswitchb-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(pp shadow sort mail-extr emacsbug message rmc puny rfc822 mml mml-sec
epa derived epg gnus-util rmail rmail-loaddefs mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader help-fns
radix-tree align two-column iso-transl help-mode xref project ffap
thingatpt make-mode dired-aux dired dired-loaddefs cmuscheme conf-mode
cc-mode cc-fonts cc-guess cc-menus cc-cmds misearch multi-isearch vc-git
diff-mode easy-mmode scheme elec-pair color-theme wid-edit cl sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils reporter
iswitchb finder-inf scala-mode2-autoloads package epg-config
url-handlers url-parse url-vars python easymenu tramp-sh tramp
tramp-compat tramp-loaddefs trampver ucs-normalize shell pcomplete
parse-time format-spec advice auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache json map seq byte-opt gv bytecomp
byte-compile cconv comint ring ansi-color edmacro kmacro cc-styles
cc-align cc-engine cc-vars cc-defs cl-loaddefs cl-lib time-date
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify dynamic-setting system-font-setting font-render-setting
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 1270767 168270)
 (symbols 48 37217 2)
 (miscs 40 934 9001)
 (strings 32 113664 7701)
 (string-bytes 1 3016589)
 (vectors 16 60156)
 (vector-slots 8 1962000 165392)
 (floats 8 227 660)
 (intervals 56 160970 1318)
 (buffers 992 116)
 (heap 1024 108471 4922))




Acknowledgement sent to k.s.matheussen@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42621; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 6 Aug 2020 14:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.